import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.security_groups.update(
group_id="00000000-0000-4000-8000-000000000000",
project_id=1,
region_id=1,
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.SecurityGroups.Update(
context.TODO(),
"00000000-0000-4000-8000-000000000000",
cloud.SecurityGroupUpdateParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
curl --request PATCH \
--url https://api.gcore.com/cloud/v2/security_groups/{project_id}/{region_id}/{group_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Some description",
"name": "some_name",
"rules": [
{
"direction": "ingress",
"description": "Some description",
"ethertype": "IPv4",
"port_range_max": 80,
"port_range_min": 80,
"protocol": "tcp",
"remote_group_id": "00000000-0000-4000-8000-000000000000",
"remote_ip_prefix": "10.0.0.0/8"
}
],
"tags": {
"my-tag": "my-tag-value",
"my-tag-to-remove": null
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Some description',
name: 'some_name',
rules: [
{
direction: 'ingress',
description: 'Some description',
ethertype: 'IPv4',
port_range_max: 80,
port_range_min: 80,
protocol: 'tcp',
remote_group_id: '00000000-0000-4000-8000-000000000000',
remote_ip_prefix: '10.0.0.0/8'
}
],
tags: {'my-tag': 'my-tag-value', 'my-tag-to-remove': null}
})
};
fetch('https://api.gcore.com/cloud/v2/security_groups/{project_id}/{region_id}/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Update security group
Updates the specified security group with the provided changes.
Behavior:
- Simple fields (name, description) will be updated if provided
- Undefined fields will remain unchanged
- If no change is detected for a specific field compared to the current security group state, that field will be skipped
- If no changes are detected at all across all fields, no task will be created and an empty task list will be returned
Important - Security Group Rules:
- Rules must be specified completely as the desired final state
- The system compares the provided rules against the current state
- Rules that exist in the request but not in the current state will be added
- Rules that exist in the current state but not in the request will be removed
- To keep existing rules, they must be included in the request alongside any new rules
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.security_groups.update(
group_id="00000000-0000-4000-8000-000000000000",
project_id=1,
region_id=1,
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.SecurityGroups.Update(
context.TODO(),
"00000000-0000-4000-8000-000000000000",
cloud.SecurityGroupUpdateParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Security group ID
"00000000-0000-4000-8000-000000000000"
Body
Security group description
"Some description"
Name
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$"some_name"
Security group rules
250Show child attributes
Show child attributes
Update key-value tags using JSON Merge Patch semantics (RFC 7386). Provide key-value pairs to add or update tags. Set tag values to null to remove tags. Unspecified tags remain unchanged. Read-only tags are always preserved and cannot be modified.
Examples:
- Add/update tags:
{'tags': {'environment': 'production', 'team': 'backend'}}adds new tags or updates existing ones. - Delete tags:
{'tags': {'old_tag': null}}removes specific tags. - Remove all tags:
{'tags': null}removes all user-managed tags (read-only tags are preserved). - Partial update:
{'tags': {'environment': 'staging'}}only updates specified tags. - Mixed operations:
{'tags': {'environment': 'production', 'cost_center': 'engineering', 'deprecated_tag': null}}adds/updates 'environment' and 'cost_center' while removing 'deprecated_tag', preserving other existing tags. - Replace all: first delete existing tags with null values, then add new ones in the same request.
Show child attributes
Show child attributes
{
"my-tag": "my-tag-value",
"my-tag-to-remove": null
}
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?